@echo off
rem: RA-Lister v1.0 (batch file)
rem: By Jason Raphael (1:284/22)

if "%RA%" == "" goto error1
if not exist %RA%\RA.EXE goto error2
if "%TXTFILES%" == "" goto error3
goto %1
goto end

:ADD
if exist %RA%\lister.asw goto addbbs
goto end

:LOG
if not exist %RA%\lister.log goto nolog
if exist %RA%\lister.asw goto copylog
goto end

:ERROR1
echo.
echo [30;1m [37;1mRA-Lister ERROR:
echo   [0;37mRemoteAccess environment variable not set.  Please set the RA environment 
echo   variable to your RemoteAccess system path, or see RALISTER.DOC for more 
echo   information.  Ex: SET RA=D:\RA
echo.
echo  RA-Lister ERROR: >>d:\RALISTER.err
echo   RemoteAccess environment variable not set.  Please set the RemoteAccess environment >>d:\RALISTER.err
echo   variable to your RemoteAccess system path, or see RALISTER.DOC for more >>d:\RALISTER.err
echo   information.  Ex: SET RA=D:\RA >>d:\RALISTER.err
goto end

:ERROR2
echo.
echo [30;1m [37;1mRA-Lister ERROR:
echo   [0;37mRemoteAccess environment variable set incorrectly.  Please set 
echo   the RA environment variable to your RemoteAccess system path, or see 
echo   RALISTER.DOC for more information.  Ex: SET RA=D:\RA
echo.
echo  RA-Lister ERROR: >>d:\RALISTER.err
echo   RemoteAccess environment variable set incorrectly.  Please set >>d:\RALISTER.err
echo   the RA environment variable to your RemoteAccess system path, or see >>d:\RALISTER.err
echo   RALISTER.DOC for more information.  Ex: SET RA=D:\RA >>d:\RALISTER.err
pause
goto end

:ERROR3
echo.
echo [30;1m [37;1mRA-Lister ERROR:
echo   [0;37mTextfile variable not set.  Please set the TXTFILES environment 
echo   variable to your RemoteAccess textfile path, or see RALISTER.DOC for more 
echo   information.  Ex: SET TXTFILES=D:\RA\TXTFILES
echo.
echo  RA-Lister ERROR: >>d:\ralister.err
echo   Textfile variable not set.  Please set the TXTFILES environment >>d:\ralister.err
echo   variable to your RemoteAccess textfile path, or see RALISTER.DOC for more >>d:\ralister.err
echo   information.  Ex: SET TXTFILES=D:\RA\TXTFILES >>d:\ralister.err
goto end

:ADDBBS
echo [1;44;37m                                 RA-Lister v1.0                                 [0m>>%TXTFILES%\lister.ans
echo [34C[36;1mBBS Listing>>%TXTFILES%\lister.ans
echo     [34;1m------------------------------------[0m>>%TXTFILES%\lister.ans
echo. >>%TXTFILES%\lister.ans
type %RA%\lister.asw >>%TXTFILES%\lister.ans
echo [37;1m--------------------------- >>%TXTFILES%\lister.ans
echo [37;1mPress [34;1mENTER[37;1m to continue.. >>%TXTFILES%\lister.ans
echo. >>%TXTFILES%\lister.ans
del %RA%\lister.asw                                 
goto end

:NOLOG
echo  RA-Lister v1.0 Log >>%RA%\lister.log
echo   --------- >>%RA%\lister.log
echo.                     >>%RA%\lister.log
if exist %RA%\lister.asw goto copylog
goto end

:COPYLOG
type %RA%\LISTER.ASW >>%RA%\LISTER.LOG
del %RA%\LISTER.ASW
goto end

:end
exit
